<?php

namespace App\Http\Service;

use App\Utils\CommonFunc;
use App\Utils\Response;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\DB;

class InitService
{
    /**
     * 存储设备初始化数据
     * @param array $params
     * @return bool
     */
    public function storeInitData(array $params)
    {
        //查询设备号
        if (isset($params['oaid']) && $params['oaid']) {
            $fieldName = 'oaid';
            $fieldVal = $params['oaid'];
        } elseif (isset($params['imei']) && $params['imei']) {
            $fieldName = 'imei';
            $fieldVal = $params['imei'];
        } elseif (isset($params['androidID']) && $params['androidID']) {
            $fieldName = 'android_id';
            $fieldVal = $params['androidID'];
        } else {
            $fieldName = $fieldVal = '';
        }
        // 查询设备是否存在
        if ($fieldName && $fieldVal) {
            //查询设备标识号看是否已存在该记录
            $deviceObj = DB::table('app_device')->where([$fieldName => $fieldVal])->first();
            if (is_null($deviceObj)) {
                $params['created_at'] = time();
                $params['type']  = $params['type'] ?? 'nvandroid';
                Db::name('app_device')->strict(false)->insert($params);
            }
        }
        return success("初始化成功");
    }

}
